%{?scl:%scl_package python-anyjson}
%{!?scl:%global pkg_name %{name}}

%global srcname anyjson

Summary:    Multiprocessing Pool Extensions
Name:       %{?scl_prefix}python-anyjson
Version:    0.3.3
Release:    1%{?dist}
License:    BSD
Url:        http://pypi.python.org/pypi/anyjson
Source0:    http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  %{?scl_prefix}python-devel
BuildRequires:  %{?scl_prefix}python-setuptools
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains extensions to the multiprocessing Pool.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
rm -rf %{buildroot}
%{?scl:scl enable %{scl} "}
%{__python3} setup.py install --no-compile --root %{buildroot}
%{?scl:"}

%clean
rm -rf %{buildroot}

%files
%doc CHANGELOG README LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info

%changelog
* Wed Oct 5 2016 Patrick Creech <pcreech@redhat.com> - 3.3.0.23-1
- Initial Release for 3.3.0.23

